PWCK(8)

NAMN
pwck - validera integriteten för lösenordsfiler

SYNOPSIS

pwck [flaggor] [passwd [ shadow ]]

BESKRIVNING

The pwck command verifies the integrity of the users and authentication information. It checks that all entries in /etc/passwd and /etc/shadow have the proper format and contain valid data. The user is prompted to delete entries that are improperly formatted or which have other uncorrectable errors.

Kontroller görs för att validera att varje post har:

    • korrekt antal fält

    • a unique and valid user name

    • en giltig identifierare för användare och grupp

    • en giltig primär grupp

    • en giltig hemkatalog

    • ett giltigt inloggningsskal

shadow checks are enabled when a second file parameter is specified or when /etc/shadow exists on the system.

These checks are the following:

    • every passwd entry has a matching shadow entry, and every shadow entry has a matching passwd entry

    • passwords are specified in the shadowed file

    • shadow entries have the correct number of fields

    • shadow entries are unique in shadow

    • the last password changes are not in the future

The checks for correct number of fields and unique user name are fatal. If the entry has the wrong number of fields, the user will be prompted to delete the entire line. If the user does not answer affirmatively, all further checks are bypassed. An entry with a duplicated user name is prompted for deletion, but the remaining checks will still be made. All other errors are warning and the user is encouraged to run the usermod command to correct the error.

The commands which operate on the /etc/passwd file are not able to alter corrupted or duplicated entries. pwck should be used in those circumstances to remove the offending entry.

FLAGGOR

The -r and -s options cannot be combined.

Flaggorna som gäller för kommandot pwck är:

-h, --help
    Visa hjälpmeddelande och avsluta.

-q, --quiet
    Report errors only. The warnings which do not require any action from the user won't be displayed.

-r, --read-only
    Starta kommandot pwck i skrivskyddat läge.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

-s, --sort
    Sorterar poster i /etc/passwd och /etc/shadow efter UID.

By default, pwck operates on the files /etc/passwd and /etc/shadow. The user may select alternate files with the passwd and shadow parameters.

CONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

PASS_MAX_DAYS (number)
    The maximum number of days a password may be used. If the password is older than this, a password change will be forced. If not specified, -1 will be assumed (which disables the restriction).

PASS_MIN_DAYS (number)
    The minimum number of days allowed between password changes. Any password changes attempted sooner than this will be rejected. If not specified, -1 will be assumed (which disables the restriction).

PASS_WARN_AGE (number)
    The number of days warning given before a password expires. A zero means warning is given only upon the day of expiration, a negative value means no warning is given. If not specified, no warning will be provided.

FILER

/etc/group
    Gruppkontoinformation.

/etc/passwd
    Användarkontoinformation.

/etc/shadow
    Säker användarkontoinformation.

AVSLUTNINGSVÄRDEN

Kommandot pwck avslutas med följande värden:

0
    lyckad

1
    ogiltig kommandosyntax

2
    en eller flera felaktiga lösenordsposter

3
    kan inte öppna lösenordsfiler

4
    kan inte låsa lösenordsfiler

5
    kan inte uppdatera lösenordsfiler

6
    can't sort password files

SE OCKSÅ

group(5), grpck(8), passwd(5), shadow(5), usermod(8).